// periph.c
#include "AT91SAM7S256.h"
#include "periph.h"
#include "bits.h"

//POINTER
AT91PS_PIO    r_pPio   = AT91C_BASE_PIOA;

//it's a simple delay
void sDelay (unsigned long a) { while (--a!=0); }


void InitBuzer(void) {

  // enable
  r_pPio->PIO_PER = BIT26;
  // low
  r_pPio->PIO_CODR = BIT26;
  // set as output
  r_pPio->PIO_OER = BIT26;
}

void InitRelay(void) {

  // enable
  r_pPio->PIO_PER = BIT8;
  // low
  r_pPio->PIO_CODR = BIT8;
  // set as output
  r_pPio->PIO_OER = BIT8;
}

void InitLeds(void) {

  // enable
  r_pPio->PIO_PER = BIT7;
  // high
  r_pPio->PIO_SODR = BIT7;
  // set as output
  r_pPio->PIO_OER = BIT7;
}


void Beep(void) {

  unsigned int i=0;
  for(i=0;i<50;i++) {

      // delay manually is set to around 2KHz
      r_pPio->PIO_SODR = BIT26;
      sDelay(2430);
      r_pPio->PIO_CODR = BIT26;
      sDelay(2430);
  }
}

void RelayOn(void) {

  r_pPio->PIO_SODR = BIT8;
}

void RelayOff(void) {

  r_pPio->PIO_CODR = BIT8;
}

void LedOn(void) {

  r_pPio->PIO_CODR = BIT7;
}

void LedOff(void) {

  r_pPio->PIO_SODR = BIT7;
}


void SetLightLCD(unsigned int a) {

  sDelay(0xFFFF-a);
  r_pPio->PIO_SODR =  BIT23;
  sDelay(a);
  r_pPio->PIO_CODR =  BIT23;
}

